{ buildGoModule, fetchFromGitea, lib }:

buildGoModule rec {
  pname = "ordercollect";
  version = "0.1.0";

  src = fetchFromGitea {
    domain = "code.lanakk.com";
    owner = "LANAKK";
    repo = "ordercollect";
    rev = "9ecbfa46f6758214aa2fcee7ad96aa7730301a06";
    hash = "sha256-n4njl7LwG6GuoTj7x3rWOjErZ/a1Fog0qAymYxvsR2w=";
  };

  vendorHash = "sha256-G6k331XRuVN/cM4sNcdUV9/BzdISQI7Ljc4tesJnmH0=";

  meta = with lib; {
    description = "A simple Api for creating orders, written in Go";
    homepage = "https://code.lanakk.com/LANAKK/ordercollect";
    license = licenses.mit;
    maintainers = with maintainers; [ m3tam3re ];
  };
}
